<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Part extends My_Controller {

	public function __construct() {

		parent::__construct();

		auth_check();

		$this->rbac->check_module_access();

	}
	function index() {

		$data['title'] = 'part List';
		$data['info'] = $this->Common_model->getRecords('fx_part', array('isDelete' => 0),'',array('partNo'=>'DESC'));
		$this->load->view('admin/includes/_header');
		$this->load->view('admin/part/list', $data);
		$this->load->view('admin/includes/_footer');
	}

	function add_edit() {

		//$this->rbac->check_operation_access(); // check opration permission
		$this->load->library('form_validation');
		$page_data = array();
		if ($this->input->post('submit')) {

			$this->form_validation->set_rules('partNo', 'Number', 'trim|required');
			$this->form_validation->set_rules('partName', 'Name', 'trim|required');
			$this->form_validation->set_rules('partLenght', 'Length', 'trim|required');
			$this->form_validation->set_rules('partBreadth', 'Breadth', 'trim|required');
			$this->form_validation->set_rules('partHeigth', 'Heigth', 'trim|required');
			$this->form_validation->set_rules('partArea', 'Area', 'trim|required');

			if ($_POST['partID'] == 0) {
				$this->form_validation->set_rules('drawingImage', 'Drawing Image', 'callback_file_check');
			}

			if ($this->form_validation->run() == FALSE) {
				$data = array(
					'errors' => validation_errors(),
				);
				$this->session->set_flashdata('errors', $data['errors']);
				$partID = $_POST['partID'];
				if ($_POST['partID'] > 0) {
					redirect(base_url('admin/part/add_edit/' . $partID . ''), 'refresh');
				} else {
					redirect(base_url('admin/part/add_edit'), 'refresh');
				}

			} else {
				if (isset($_POST) && !empty($_POST)) {
					$config = array(
						'upload_path' => 'uploads/part/',
						'allowed_types' => 'jpg|jpeg|gif|png|pdf',
						'file_name' => rand(1, 9999),
						'max_size' => 0,
					);
					$this->upload->initialize($config);

					if ($_FILES['drawingImage']['name'] != '') {

						if ($this->upload->do_upload('drawingImage')) {
							$dt = $this->upload->data();
							$_POST['drawingImage'] = $dt['file_name'];
						} else {

							$_POST['drawingImage'] = $_POST['old_drawingImage'];
							$data['error'] = $this->upload->display_errors();
						}
					} else {
						$_POST['drawingImage'] = $_POST['old_drawingImage'];
						$data['error'] = $this->upload->display_errors();
					}
					$params = array(
						'drawingImage' => $_POST['drawingImage'],
						'partName' => $this->input->post('partName'),
						'partNo' =>$this->input->post('partNo'),
						'partLenght' => $this->input->post('partLenght'),
						'partHeigth' => $this->input->post('partHeigth'),
						'partBreadth' => $this->input->post('partBreadth'),
						'partArea' => $this->input->post('partArea'),
						'dateModified' => date('Y-m-d h:i:s'),
					);
					$partID = $_POST['partID'];
					if ($_POST['partID'] > 0) {
						$where = ['partID' => $partID];
						$insert = $this->Common_model->updateRecord('fx_part', $params, $where);
						if ($insert) {
							$this->session->set_flashdata('success', 'part Updated successfully!');
							redirect(base_url('admin/part/'));
						}
					} else {

						$insert = $this->Common_model->insertRecord('fx_part', $params);

						if ($insert) {
							$this->session->set_flashdata('success', 'part Added successfully!');
							redirect(base_url('admin/part/'));
						}
					}

				} else {
					$this->session->set_flashdata('errors', 'Something is Wrong!!');
					redirect(base_url('admin/part/add'), 'refresh');
				}
			}
		} else {

			$partID = $this->uri->segment(4);
			if ($partID > 0) {
				$page_data['Fetch_data'] = $this->Common_model->getRow('fx_part', array('partID' => $partID));
			} else {
				$page_data['Fetch_data'] = array();
			}
			$this->load->view('admin/includes/_header');
			$this->load->view('admin/part/add_edit', $page_data);
			$this->load->view('admin/includes/_footer');
		}

	}
	function view($partID = '') {
		$page_data['Fetch_data'] = $this->Common_model->getRow('fx_part', array('partID' => $partID));
		// print_r($page_data);die();
		$this->load->view('admin/includes/_header');
		$this->load->view('admin/part/add_edit', $page_data);
		$this->load->view('admin/includes/_footer');
	}

	public function file_check() {
		if (empty($_FILES['drawingImage']['name'][0])) {
			$this->form_validation->set_message('file_check', "The part Image field is required.");
			return false;
		} else {
			return true;
		}
	}
	public function delete($partID = '') {
		$this->rbac->check_operation_access(); // check opration permission

		$params = array('isDelete' => 1);
		$where = ['partID' => $partID];
		$update = $this->Common_model->updateRecord('fx_part', $params, $where);
		$this->session->set_flashdata('success', 'part has been deleted successfully!');
		redirect(base_url('admin/part'));
	}
	public function trash() {
		if (isset($_POST['multiple_delete'])) {
			if (isset($_POST['checkbox_del'])) {
				if (count($_POST['checkbox_del']) != 0) {
					$stat = 1;
					$result = '';
					$cnt_checkbox_del = count($_POST['checkbox_del']);
					//echo $cnt_checkbox_del;die();
					for ($i = 0; $i < $cnt_checkbox_del; $i++) {

						$data = array('isDelete' => 1);
						$where = ['partID' => $_POST['checkbox_del'][$i]];
						$result = $this->Common_model->updateRecord('fx_part', $data, $where);
						//echo $this->db->last_query();die();
					}
					if ($result) {
						$this->session->set_flashdata('success', 'Records has been deleted!');
						redirect(base_url('admin/part'));
					}

				} else {
					$this->session->set_flashdata('error', 'Select Record(s) to delete.');
					redirect(base_url('admin/part'));
				}
			} else {

				$this->session->set_flashdata('error', 'Select Record(s) to delete.');
				redirect(base_url('admin/part'));
			}
		}

		if (isset($_POST['multiple_delete_all'])) {
			if (isset($_POST['checkbox_del'])) {
				if (count($_POST['checkbox_del']) != 0) {
					$stat = 1;
					$cnt_checkbox_del = count($_POST['checkbox_del']);

					for ($i = 0; $i < $cnt_checkbox_del; $i++) {
						$where = ['partID' => $_POST['checkbox_del'][$i]];
						$this->Common_model->delete('fx_part', $where);
					}
					$this->session->set_flashdata('success', 'User has been Deleted Successfully.');
					redirect(base_url('admin/part/trash'));

				} else {
					$this->session->set_flashdata('error', 'Select Record(s) to delete.');
					redirect(base_url('admin/part/trash'));
				}
			} else {

				$this->session->set_flashdata('error', 'Select Record(s) to delete.');
				redirect(base_url('admin/part/trash'));
			}
		}
		if (isset($_POST['multiple_restore'])) {
			if (isset($_POST['checkbox_del'])) {
				if (count($_POST['checkbox_del']) != 0) {
					$stat = 1;
					$result = '';
					$cnt_checkbox_del = count($_POST['checkbox_del']);
					for ($i = 0; $i < $cnt_checkbox_del; $i++) {
						$data = array('isDelete' => 0);
						$where = ['partID' => $_POST['checkbox_del'][$i]];
						$result = $this->Common_model->updateRecord('fx_part', $data, $where);
					}
					if ($result) {
						$this->session->set_flashdata('success', 'Records has been restored successfully!');
						redirect(base_url('admin/part'));
					}

				} else {
					$this->session->set_flashdata('error', 'Select Record(s) to delete.');
					redirect(base_url('admin/part'));
				}
			} else {
				$this->session->set_flashdata('error', 'Select Record(s) to restore.');
				redirect(base_url() . $this->uri->uri_string());
			}
		}
		$data['info'] = $this->Common_model->getRecords('fx_part', array('isDelete' => 1));
		$data['title'] = 'part List';

		$this->load->view('admin/includes/_header');
		$this->load->view('admin/part/list', $data);
		$this->load->view('admin/includes/_footer');
	}
}